summaryrefslogtreecommitdiff
path: root/tests/aslts.sh
diff options
context:
space:
mode:
authorRobert Moore <Robert.Moore@intel.com>2014-10-03 14:12:06 -0700
committerRobert Moore <Robert.Moore@intel.com>2014-10-03 14:12:06 -0700
commitb35f4a7dbc065a808d4cadf18b2324ec98dbdc67 (patch)
treed480a38bed28333d56d46fadfd88b9865150b119 /tests/aslts.sh
parentf20d7f9b56bb9ff4663ebd7c107200ebd54dd95d (diff)
downloadacpica-b35f4a7dbc065a808d4cadf18b2324ec98dbdc67.tar.gz
Tests/ASLTS: Abort test suite on iASL compile failure.
This change updates the ASLTS scripts and makefiles to abort immediately if any test suite case fails to compile. David E. Box. ACPICA BZ 861.
Diffstat (limited to 'tests/aslts.sh')
-rwxr-xr-xtests/aslts.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/aslts.sh b/tests/aslts.sh
index 33a2c990e..af7edd8eb 100755
--- a/tests/aslts.sh
+++ b/tests/aslts.sh
@@ -115,6 +115,10 @@ run_aslts() {
if [ "x$TEST_CASES" = "x" ]; then
# Compile all ASL test modules
Do 0 aslts
+ if [ $? -ne 0 ]; then
+ echo "ASLTS Compile Failure"
+ exit 1
+ fi
else
Do 0 $TEST_CASES
fi